# Add project specific ProGuard rules here.
# By default, the flags in this file are appended to flags specified
# in /home/tariel/Android/Sdk/tools/proguard/proguard-android.txt
# You can edit the include path and order by changing the proguardFiles
# directive in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# Add any project specific keep options here:

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}
-keep public class java.nio.file.* { public *; }
-dontwarn java.nio.file.**

-keep public class org.codehaus.mojo.animal_sniffer.* { public *; }
-dontwarn org.codehaus.mojo.animal_sniffer.**

-keep public class org.openid4java.consumer.* { public *; }
-dontwarn org.openid4java.consumer.**

-keep public class org.openid4java.message.* { public *; }
-dontwarn org.openid4java.message.**

-keep public class org.openid4java.OpenIDException { public *; }
-dontwarn org.openid4java.OpenIDException

-keep public class org.openid4java.discovery.Identifier { public *; }
-dontwarn org.openid4java.discovery.Identifier

-keep public class javax.servlet.http.HttpServletRequest { public *; }
-dontwarn javax.servlet.http.HttpServletRequest

-keep public class java.lang.invoke.* { public *; }
-dontwarn java.lang.invoke.**

-keep public class org.openid4java.discovery.DiscoveryInformation { public *; }
-dontwarn org.openid4java.discovery.DiscoveryInformation

-dontwarn retrofit2.Platform$Java8




